org.tmatesoft.svn.core.wc2

## Class SvnMarkReplaced

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<java.lang.Void>
  - - org.tmatesoft.svn.core.wc2.SvnMarkReplaced

All Implemented Interfaces:
  ISvnOperationOptionsProvider

    public class SvnMarkReplaced
    extends SvnOperation<java.lang.Void>

Schedules `target` as being replaced. This method does not perform any deletion\addition in the filesystem nor does it require a connection to the repository. It just marks the current `target` item as being replaced.

Version:
  1.7
Author:
  TMate Software Ltd.

### Constructor Summary

Constructors
`protected` `SvnMarkReplaced(SvnOperationFactory factory)`

### Method Summary

Methods
`boolean` `isChangesWorkingCopy()` Gets whether the operation changes working copy

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SvnMarkReplaced

    protected SvnMarkReplaced(SvnOperationFactory factory)

### Method Detail

#### isChangesWorkingCopy

    public boolean isChangesWorkingCopy()

Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<java.lang.Void>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`